in Error_log

libpng.so.5 not found

/libexec/ld-elf.so.1: Shared object
"libpng.so.5" not found, required by "rrdtool"

I got this error when updating from rrdtool v1.3 to v1.4, its required pangocairo , cairo-ps and other related. Ill try to install pango and cairo but no solves. But the error extract listed the solves Its Gnome-config problem missing.. and chained into freebsd mail list found by indra. so we try to install the source of gnome

/usr/ports/x11/gnome-libs

Install this with no checklist option when it ask to installing modules. after that , you need to make deinstall pango , and reinstall them, and the last is reinstalling the rrdtool, which u found it @ /usr/local/database/rrdtool

and its works perfectly

NB: missing gnome-config so freebsd can’t detect cairo and it’s marked as unlinked shared object 😛